Bug 66257 - postinstall script error whe /etc/sgml is empty
postinstall script error whe /etc/sgml is empty
Product: Red Hat Raw Hide
Classification: Retired
Component: docbook-style-dsssl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2002-06-06 16:29 EDT by Guy Streeter
Modified: 2016-02-09 20:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-19 10:23:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Guy Streeter 2002-06-06 16:29:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
When no files match the wildcard, the for loop is run once with the literal
string /etc/sgml/*-docbook-*.cat as its parameter. This creates a file called
*-docbook-*.cat, which makes things messy later on.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install docbook-style-dsssl before anything else puts a file in /etc/sgml
2.see the /etc/sgml/*-docbook-*.cat file

Actual Results:  /etc/sgml/*-docbook-*.cat

Expected Results:  no /etc/sgml/*-docbook-*.cat

Additional info:
Comment 1 Tim Waugh 2002-06-19 06:15:13 EDT
There are prereqs in place to prevent this.  Had you removed /etc/sgml or 
Comment 2 Guy Streeter 2002-06-19 10:23:50 EDT
This problem showed up while bootstrapping an 8.0 distro. Perhaps some prereq
was satisfied by an older package (the buildroot was bootstrapped from from
7.2). Or perhaps it's just screwy because it's a buildroot and not an actual
Comment 3 Tim Waugh 2002-06-20 06:15:43 EDT
It prereqs docbook-dtd-sgml though, which has always populated /etc/sgml as 
far as I can recall. 
I think this must have been --nodeps'd in the build root.

Note You need to log in before you can comment on or make changes to this bug.